Public Types | Public Member Functions | List of all members
rapidjson::FileReadStream Class Reference

File byte stream for input using fread(). More...

`#include <filereadstream.h>`

## Public Types
typedef char | Ch
| Character type (byte).

## Public Member Functions
| FileReadStream (std::FILE *fp, char *buffer, size_t bufferSize)
| Constructor. More...
Ch | Peek () const
Ch | Take ()
size_t | Tell () const
void | Put (Ch)
void | Flush ()
Ch * | PutBegin ()
size_t | PutEnd (Ch *)
const Ch * | Peek4 () const

## Detailed Description

File byte stream for input using fread().

Note
  implements Stream concept

## Constructor & Destructor Documentation

## ◆ FileReadStream()

rapidjson::FileReadStream::FileReadStream | ( | std::FILE * | fp,
|  | char * | buffer,
|  | size_t | bufferSize
| ) |  |
| inline

Constructor.

Parameters

  fp | File pointer opened for read.
  buffer | user-supplied buffer.
  bufferSize | size of buffer in bytes. Must >=4 bytes.

The documentation for this class was generated from the following file:

- include/rapidjson/filereadstream.h